Get a job

Returns a Job.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequiredformat: "^[0-9a-f]{24}$"
The id of the Job to get.

Query parameters

includestringOptional

Inclusive projection operator formatted as a comma-delineated list. ‘_id’ will be included implicitly unless excluded with ‘exclude=_id’. May only be used in conjunction with ‘exclude’ when ‘exclude=_id’.

excludestringOptional

Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with ‘include’ when ‘exclude=_id’.

dereferencestringOptional
Designates foreign key fields to dereference in the API output.

Response

The requested Job.
messagestring

A human-readable message summarizing the result of the operation

dataobject
Any successfully retrieved information related to the request.
metadatamap from strings to any

Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

Errors

500
Internal Server Error